# Automatically download Source0
%undefine _disable_source_fetch

Name:           mne-cpp
Version:        0.1.9
Release:        0%{?dist}
Source0:        https://github.com/mne-tools/mne-cpp/archive/refs/tags/v0.1.9.tar.gz
Summary:        The mne-cpp project is an electrophysiology C++ framework from Massachusetts General Hospital (MGH)
License:        BSD3 
URL:            https://github.com/mne-tools/mne-cpp 

%global _qpath /usr/lib64/qt5/bin
# Do not produce zero length debug list files
%global debug_package %{nil}

BuildRequires: patchelf make %{_qpath}/qmake
BuildRequires: gcc >= 5.3.1
BuildRequires: gcc-c++ >= 5.3.1
BuildRequires: qt5-qtbase >= 5.10
BuildRequires: qt5-qtbase-devel >= 5.10
BuildRequires: qt5-qtdeclarative >= 5.10
BuildRequires: qt5-qtbase-common >= 5.10
BuildRequires: qt5-qtimageformats >= 5.10
BuildRequires: qt5-qtbase-gui >= 5.10
BuildRequires: qt5-qtsvg >= 5.10
BuildRequires: qt5-qtsvg-devel >= 5.10
BuildRequires: qt5-qt3d >= 5.10
BuildRequires: qt5-qt3d-devel >= 5.10
BuildRequires: qt5-qtcharts >= 5.10
BuildRequires: qt5-qtcharts-devel >= 5.10

# Use strip binary to fix native libQt5Core.so.5 on fc32
%if 0%{?fedora} >= 32
Requires: binutils
%endif

%description
The mne-cpp project is an electrophysiology C++ framework from Massachusetts General Hospital (MGH)

%prep
%setup -q

%define _prefix /opt

%build
PATH=%{_qpath}:$PATH
qmake -makefile -recursive
make -j8
(cd ./lib && patchelf --set-rpath '$ORIGIN/../lib' *.so)

%install
rm -rf %{buildroot}/*
mkdir -p %{buildroot}%{_prefix}/mne-cpp-%{version}
tar cpf - ./bin ./lib ./doc | (cd %{buildroot}%{_prefix}/mne-cpp-%{version} && tar xpf -)

%post
# Fix to allow resolving shared lib reference.  Not necessary on CentOS8.
# https://stackoverflow.com/questions/63627955/cant-load-shared-library-libqt5core-so-5
%if 0%{?fedora} >= 32
sudo strip --remove-section=.note.ABI-tag /usr/lib64/libQt5Core.so.5
%endif

%files
/%{_prefix}/mne-cpp-%{version}/bin
/%{_prefix}/mne-cpp-%{version}/lib

%doc
/%{_prefix}/mne-cpp-%{version}/doc

# changelog to be filled in later at release 1.0 ?
%changelog

